package com.appcarry.appcarry_sdk;

import android.content.Context;
import android.content.IntentFilter;

import io.flutter.plugin.common.EventChannel;

/**
 * Created by Mintu Giri(mintu.giri1997@gmail.com) on 12,March,2021
 */
public class AppCarryStreamHandler implements EventChannel.StreamHandler {
    private final Context mContext;
    private AppCarryBroadcastReceiver appcarryBroadcastReceiver;

    AppCarryStreamHandler(Context context){
        this.mContext = context;
    }

    @Override
    public void onListen(Object o, EventChannel.EventSink eventSink) {
        appcarryBroadcastReceiver = new AppCarryBroadcastReceiver(eventSink);
        mContext.registerReceiver(appcarryBroadcastReceiver, new IntentFilter(AppcarryConstants.AC_BROADCAST_ACTION_NAME));
    }

    @Override
    public void onCancel(Object o) {
        mContext.unregisterReceiver(appcarryBroadcastReceiver);
        appcarryBroadcastReceiver = null;
    }
}
