import 'package:appcarry_sdk/appcarry_sdk.dart';
import 'package:flutter/material.dart';
import 'dart:async';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  void initState() {
    super.initState();
    initAppcarrySdk();
  }

  Future<void> initAppcarrySdk() async {
    Map acOptions = { "acDevKey": "acDevKey",
      "acAppId": "appId",
      "isDebug": true};

    AppCarrySdk appCarrySdk = AppCarrySdk(acOptions);
    appCarrySdk.initSdk(
        registerConversionDataCallback: true,
        registerOnAppOpenAttributionCallback: true);
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Running on: $_platformVersion\n'),
        ),
      ),
    );
  }
}
